#ifndef IRPAIR_H
#define IRPAIR_H

#include "mbed.h"

#define samplesToTake 1000

class IRPair
{
    public:
        IRPair( PinName pin, PinName rec ) : ir( pin ), recv( rec )
        {
            calibrateSensor();
        }
        
        float getSamples( int i );
        
        float sensorAvg;
        
    private:
        void calibrateSensor();
        
        // internal values
        DigitalOut ir;
        AnalogIn recv;
        
};



#endif